# kong-plugin-enterprise-collector
[![Build Status](https://travis-ci.com/Kong/kong-plugin-enterprise-brain.svg?token=6czhWJQCqzYMGA6e7yxi&branch=master)](https://travis-ci.com/Kong/kong-plugin-enterprise-brain)

`collector` is the plugin Kong Immunity relies on to obtain data about HTTP requests proxied
by Kong. When enabled and configured, `collector` plugin will send request data to Kong Collector.

`collector` also provides admin endpoints to retrieve data produced by Kong Immunity.


## Setting up dev environment

```
KONG_PLUGINS=collector gojira up --volume $PWD:/kong-plugin/ -pp 8000:8000 -pp 8001:8001 -pp 8002:8002 -pp 8003:8003 -pp 8004:8004
gojira run make dev
gojira snapshot collector  # so you don't need to run gojira run make dev
gojira run kong migrations bootstrap
```

## Running tests
```
gojira run bin/busted /kong-plugin/spec/
```


## Release instructions

- Rename `kong-plugin-enterprise-collector-*.rockspec` according to the new version
- Update version in the `kong-plugin-enterprise-collector-*.rockspec` and `kong/plugins/collector/handler.lua`
- run:
```
docker run \
        --volume $PWD:/collector/ \
        --user=root \
        kong/kong-gateway:2.4-alpine \
        sh -c "cd /collector && apk update && apk add zip && sh package.sh"
```

- Create a git commit with the version changes, removal of the old `.all.rock` file and inclusion of the new one.

